## Get market params `markets.get_params(MarketGetParamsParams**kwargs) -> MarketGetParamsResponse` **get** `/api/v1/markets/config` Get market params ### Parameters - `with_text: Optional[bool]` Include text variation fields ### Returns - `class MarketGetParamsResponse: …` - `data: GlobalMarketConfig` - `dynamic_discount_width: str` The required change in account health below 1.0 to achieve the maximum discount. should be ~= 0.02 must be <= 1.0 - `extra: Extra` - `text: Optional[ExtraText]` Human-readable field variants. Will not be null when query param `with_text` is `true`. - `flash_loan_fee: str` - `liquidation_fee: str` - `stake_collateral_ratio: str` - `stake_flash_loan_ratio: str` - `staking_health_modifier: str` - `time_window_nanos: str` - `flash_loan_fee: str` The coefficient used to calculate the flash loan fee. should be ~= 0.01 must be <= 1.0 - `flash_loans_enabled: bool` Whether flash loans are enabled or not - `hinj: AssetSpec` Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc) - `id: str` - `group: Literal["native", "token"]` - `"native"` - `"token"` - `group_key: str` - `liquidation_fee: str` The coefficient use to calculate the liquidation protocol fee. should be ~= 0.01 must be <= 1.0 - `nept: AssetSpec` Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc) - `partial_liquidation_threshold: str` Minimum account value to avoid complete liquidation. - `stake_collateral_ratio: str` The required ratio of weighted staked NEPT to collateral value to obtain the maximum staking health modifier. should be ~= 0.1 must be <= 1.0 - `stake_flash_loan_ratio: str` The required ratio of weighted staked NEPT to flash loan value should be ~= 0.05 must be <= 1.0 - `staking_health_modifier: str` The maximum health increase provided by staking. should be ~= 0.05 and must be <= 1.0 - `target_liquidation_health: str` The account health target for a liquidation. should be ~= 1.02 must be >= 1.0 - `time_window_nanos: int` Number of nanoseconds that an oracle price is valid for. - `error: None` Error data. Guaranteed `null` for successful response. - `status: int` HTTP status. Successful responses are guaranteed to be < `400`. Conversely, error responses are guaranteed to be >= `400`. - `status_text: str` HTTP status text ### Example ```python from neptune_api_v2 import NeptuneAPIV2 client = NeptuneAPIV2() response = client.markets.get_params() print(response.data) ``` #### Response ```json { "data": { "time_window_nanos": 3600000000000, "partial_liquidation_threshold": "1000000000000000000000", "target_liquidation_health": "1.03", "liquidation_fee": "0", "flash_loans_enabled": true, "flash_loan_fee": "0", "staking_health_modifier": "0.03", "stake_collateral_ratio": "0.1", "stake_flash_loan_ratio": "0.1", "dynamic_discount_width": "0.01", "hinj": { "id": "token;inj18luqttqyckgpddndh8hvaq25d5nfwjc78m56lc", "group": "token", "group_key": "inj18luqttqyckgpddndh8hvaq25d5nfwjc78m56lc" }, "nept": { "id": "native;factory/inj1v3a4zznudwpukpr8y987pu5gnh4xuf7v36jhva/nept", "group": "native", "group_key": "factory/inj1v3a4zznudwpukpr8y987pu5gnh4xuf7v36jhva/nept" }, "extra": { "text": { "time_window_nanos": "1 hour", "flash_loan_fee": "0%", "staking_health_modifier": "3%", "stake_flash_loan_ratio": "10%", "stake_collateral_ratio": "10%", "liquidation_fee": "0%" } } }, "error": null, "status": 200, "status_text": "200 OK" } ```